=== debian/changelog ===
nextcloud-spreed-signaling (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jun 2022 15:50:41 +0200

nextcloud-spreed-signaling (0.4.1-1) unstable; urgency=medium

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Tue, 29 Mar 2022 18:35:28 +0200
