=== debian/control ===
Source: nextcloud-spreed-signaling
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-golang,
               golang-any,
               golang-easyjson,
               golang-etcd-server-dev,
               golang-github-dlintw-goconf-dev,
               golang-github-golang-jwt-jwt-dev,
               golang-github-google-uuid-dev,
               golang-github-gorilla-mux-dev,
               golang-github-gorilla-securecookie-dev,
               golang-github-mailru-easyjson-dev,
               golang-github-nats-io-go-nats-dev,
               golang-github-notedit-janus-go-dev,
               golang-github-oschwald-maxminddb-golang-dev,
               golang-github-pion-sdp-dev,
               golang-prometheus-client-dev,
               golang-websocket-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling
Vcs-Git: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling.git
Homepage: https://github.com/strukturag/nextcloud-spreed-signaling
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/strukturag/nextcloud-spreed-signaling

Package: nextcloud-spreed-signaling
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser (>= 3.11)
Recommends: janus,
         nats-server
Built-Using: ${misc:Built-Using}
Description: Standalone signaling server for Nextcloud Talk (program)
 This package contains the standalone signaling server which can be
 used for Nextcloud Talk.
 .
 Nextcloud is an open source, self-hosted cloud software, and Talk
 is its WebRTC communication app. It requires a dedicated signaling
 server and a WebRTC media relay for scalability.
