=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE = /tmp/gocache
export GOPATH = ${CURDIR}/_build:/usr/share/gocode
export GO111MODULE := off
BUILD_DIR := ${CURDIR}/_build/src/github.com/strukturag/nextcloud-spreed-signaling

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	cd ${BUILD_DIR} && \
	easyjson -all api_signaling.go && \
	easyjson -all api_backend.go && \
	easyjson -all api_proxy.go && \
	easyjson -all natsclient.go && \
	easyjson -all room.go
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- --no-source
	cd debian/nextcloud-spreed-signaling/usr/bin; for f in client proxy server; do \
	    mv $$f nextcloud-spreed-signaling-$$f; \
	done

override_dh_auto_test:
