## nextcloud-spreed-signaling 1.1.3

=== docs/requirements.txt ===
jinja2==3.1.2
markdown==3.3.7
mkdocs==1.4.3
readthedocs-sphinx-search==0.3.1
sphinx==6.2.1
sphinx_rtd_theme==1.2.2
