=== docs/requirements.txt ===
jinja2==3.1.2
markdown==3.5.1
mkdocs==1.5.3
readthedocs-sphinx-search==0.3.1
sphinx==7.2.6
sphinx_rtd_theme==2.0.0
