=== debian/changelog ===
nextcloud-spreed-signaling (1.2.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Dec 2023 06:07:54 +0100

nextcloud-spreed-signaling (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * [38c8013] New upstream version 1.2.2
  * [8860bee] Refresh patchs for the new version

 -- Anton Gladky <gladk@debian.org>  Tue, 19 Dec 2023 06:35:34 +0100

nextcloud-spreed-signaling (1.1.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anton Gladky <gladk@debian.org>  Tue, 19 Dec 2023 06:22:28 +0100

nextcloud-spreed-signaling (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Oct 2023 06:14:11 +0200

nextcloud-spreed-signaling (1.1.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * [901551c] New upstream version 1.1.3.
  * [5c1cfff] Apply patch to build with current etcd.
  * [002057b] Add protoc-gen-go-grpc to build-depends.
  * [03dd8a6] Generate and build proto-files.
  * [e173efd] Update standards version to 4.6.2, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Mon, 16 Oct 2023 21:35:15 +0200

nextcloud-spreed-signaling (0.4.1-4) unstable; urgency=medium

  * Team upload
  * No-change rebuild against golang-github-golang-protobuf-1-3 for
    testing migration.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Jan 2023 16:47:30 +0800

nextcloud-spreed-signaling (0.4.1-3) unstable; urgency=medium

  * Team upload
  * Bump golang-etcd-server-dev to 3.4.
    And drop patch for etcd 3.3.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Jan 2023 23:59:03 +0800
