=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-golang,
                golang-any,
                golang-easyjson,
-               golang-etcd-server-dev,
+               golang-etcd-server-dev (>= 3.4),
                golang-github-dlintw-goconf-dev,
                golang-github-golang-jwt-jwt-dev,
                golang-github-google-uuid-dev,
@@ -21,8 +21,9 @@
                golang-github-oschwald-maxminddb-golang-dev,
                golang-github-pion-sdp-dev,
                golang-prometheus-client-dev,
-               golang-websocket-dev
-Standards-Version: 4.6.0
+               golang-websocket-dev,
+               protoc-gen-go-grpc
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling
 Vcs-Git: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling.git
 Homepage: https://github.com/strukturag/nextcloud-spreed-signaling
