=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,15 @@
 
 override_dh_auto_build:
 	cd ${BUILD_DIR} && \
+	protoc --go_out=. --go_opt=paths=source_relative --go-grpc_out=. --go-grpc_opt=paths=source_relative *.proto && \
+	easyjson -all grpc_backend.pb.go && \
+	easyjson -all grpc_internal.pb.go && \
+	easyjson -all grpc_mcu.pb.go && \
+	easyjson -all grpc_sessions.pb.go && \
 	easyjson -all api_signaling.go && \
+	easyjson -all api_async.go && \
 	easyjson -all api_backend.go && \
+	easyjson -all api_grpc.go && \
 	easyjson -all api_proxy.go && \
 	easyjson -all natsclient.go && \
 	easyjson -all room.go
