## nextcloud-spreed-signaling 1.2.3

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 endif
 
 ifneq ($(TEST),)
-TESTARGS := $(TESTARGS) -run $(TEST)
+TESTARGS := $(TESTARGS) -run "$(TEST)"
 endif
 
 ifneq ($(COUNT),)
