=== debian/changelog ===
nextcloud-spreed-signaling (1.2.3-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 15:30:57 +1000

nextcloud-spreed-signaling (1.2.3-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 11:39:53 +1000

nextcloud-spreed-signaling (1.2.3-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 08:23:41 +0530

nextcloud-spreed-signaling (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase etcd.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Feb 2024 20:19:16 +0100

nextcloud-spreed-signaling (1.2.2-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Drop build-with-sdp-3.4.patch. Resolved upstream (and wrong approach).
      See: https://github.com/strukturag/nextcloud-spreed-signaling/pull/301
      and https://github.com/strukturag/nextcloud-spreed-signaling/issues/
      279#issuecomment-1196857450. (Closes: #1060286).
  * debian/changelog:
    + Adjust @fancycode's real name in previous upload stanza.

  [ Joachim Bauch ]
  * debian/control:
    + Adjust dependencies under Suggests: fields.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 24 Jan 2024 10:12:19 +0100

nextcloud-spreed-signaling (1.2.2-2) unstable; urgency=medium

  * debian/*:
    + Split-up single bin:pkg into four bin:pkgs (server, proxy, client,
      common).
  * debian/patches/*systemd*.patch:
    + Improve/fix/adapt upstream's systemd .service file (for server).
      (Closes: #1060193).
    + Add header to build-with-sdp-3.4.patch.
  * lintian:
    + Silence no-manual-page complaints. Reported upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Add myself to Uploaders: field.
    + Add Joachim Bauch to Uploaders: field (upstream + DM).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Jan 2024 17:48:11 +0100
