=== debian/control ===
--- 
+++ 
@@ -1,6 +1,9 @@
 Source: nextcloud-spreed-signaling
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Dominik George <natureshadow@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Mike Gabriel <sunweaver@debian.org>,
+           Dominik George <natureshadow@debian.org>,
+           Joachim Bauch <bauch@struktur.de>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -32,16 +35,77 @@
 
 Package: nextcloud-spreed-signaling
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         adduser (>= 3.11)
-Recommends: janus,
-         nats-server
+Depends:
+ nextcloud-spreed-signaling-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ gnatsd,
+ janus,
 Built-Using: ${misc:Built-Using}
-Description: Standalone signaling server for Nextcloud Talk (program)
- This package contains the standalone signaling server which can be
- used for Nextcloud Talk.
- .
+Description: Standalone signaling server for Nextcloud Talk
  Nextcloud is an open source, self-hosted cloud software, and Talk
  is its WebRTC communication app. It requires a dedicated signaling
  server and a WebRTC media relay for scalability.
+ .
+ nextcloud-spreed-signaling is a standalone signaling server for Nextcloud Talk
+ for improved performance.
+
+Package: nextcloud-spreed-signaling-proxy
+Architecture: any
+Depends:
+ nextcloud-spreed-signaling-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ janus,
+Built-Using: ${misc:Built-Using}
+Breaks: nextcloud-spreed-signaling (<< 1.2.2-2~),
+Replaces: nextcloud-spreed-signaling (<< 1.2.2-2~),
+Description: Standalone signaling server for Nextcloud Talk - proxy
+ Nextcloud is an open source, self-hosted cloud software, and Talk
+ is its WebRTC communication app. It requires a dedicated signaling
+ server and a WebRTC media relay for scalability.
+ .
+ nextcloud-spreed-signaling is a standalone signaling server for Nextcloud Talk
+ for improved performance.
+ .
+ This package contains the proxy code that is necessary to connect a signaling
+ server to multiple Janus backends.
+
+Package: nextcloud-spreed-signaling-client
+Architecture: any
+Depends:
+ nextcloud-spreed-signaling-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ nextcloud-spreed-signaling,
+Built-Using: ${misc:Built-Using}
+Breaks: nextcloud-spreed-signaling (<< 1.2.2-2~),
+Replaces: nextcloud-spreed-signaling (<< 1.2.2-2~),
+Description: Standalone signaling server for Nextcloud Talk - benchmarking client
+ Nextcloud is an open source, self-hosted cloud software, and Talk
+ is its WebRTC communication app. It requires a dedicated signaling
+ server and a WebRTC media relay for scalability.
+ .
+ nextcloud-spreed-signaling is a standalone signaling server for Nextcloud Talk
+ for improved performance.
+ .
+ This package contains a client for benchmarking the signaling server.
+
+Package: nextcloud-spreed-signaling-common
+Architecture: all
+Depends:
+ adduser,
+ ${misc:Depends},
+Description: Standalone signaling server for Nextcloud Talk - common
+ Nextcloud is an open source, self-hosted cloud software, and Talk
+ is its WebRTC communication app. It requires a dedicated signaling
+ server and a WebRTC media relay for scalability.
+ .
+ nextcloud-spreed-signaling is a standalone signaling server for Nextcloud Talk
+ for improved performance.
+ .
+ This dependency package contains common files / scripts and creates
+ the _signaling system user.
