=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
-	cd debian/nextcloud-spreed-signaling/usr/bin; for f in client proxy server; do \
+	cd debian/tmp/usr/bin; for f in client proxy server; do \
 	    mv $$f nextcloud-spreed-signaling-$$f; \
 	done
