=== debian/changelog ===
nextcloud-spreed-signaling (1.2.4-3) unstable; urgency=medium

  * Team upload
  * Move systemd service file to be under /usr (Closes: #1073632)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 18 Aug 2024 19:10:16 +0000

nextcloud-spreed-signaling (1.2.4-2) unstable; urgency=medium

  * Team upload
  * Drop patch for etcd now that 3.5 has been packaged
  * d/control:
    - Set minimum version of golang-etcd-server-dev and
      golang-github-nats-io-go-nats-dev
    - Add protoc-gen-go-1-5 to Build-Depends

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 Aug 2024 00:44:57 +0000

nextcloud-spreed-signaling (1.2.4-1) unstable; urgency=medium

  [ Mike Gabriel
  * New upstream release.
  * debian/patches:
    + Add get-debian-version.patch. Derive VERSION from Debian package version.
  * debian/rules:
    + Inject version number (derived from package version) into built executable.

  [ Joachim Bauch ]
  * debian/control:
    + Fix S: field: gnatsd -> nats-server.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Jun 2024 08:58:06 +0200
