=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: nextcloud-spreed-signaling
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Dominik George <natureshadow@debian.org>,
            Joachim Bauch <bauch@struktur.de>,
@@ -12,19 +11,20 @@
                dh-golang,
                golang-any,
                golang-easyjson,
-               golang-etcd-server-dev (>= 3.4),
+               golang-etcd-server-dev (>= 3.5.15-5),
                golang-github-dlintw-goconf-dev,
                golang-github-golang-jwt-jwt-dev,
                golang-github-google-uuid-dev,
                golang-github-gorilla-mux-dev,
                golang-github-gorilla-securecookie-dev,
                golang-github-mailru-easyjson-dev,
-               golang-github-nats-io-go-nats-dev,
+               golang-github-nats-io-go-nats-dev (>= 1.30.2-2),
                golang-github-notedit-janus-go-dev,
                golang-github-oschwald-maxminddb-golang-dev,
                golang-github-pion-sdp-dev,
                golang-prometheus-client-dev,
                golang-websocket-dev,
+               protoc-gen-go-1-5,
                protoc-gen-go-grpc
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling
@@ -40,8 +40,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
- gnatsd,
  janus,
+ nats-server,
 Built-Using: ${misc:Built-Using}
 Description: Standalone signaling server for Nextcloud Talk
  Nextcloud is an open source, self-hosted cloud software, and Talk
