=== docs/requirements.txt ===
jinja2==3.1.5
markdown==3.7
mkdocs==1.6.1
readthedocs-sphinx-search==0.3.2
sphinx==8.1.3
sphinx_rtd_theme==3.0.2
