=== debian/changelog ===
nextcloud-spreed-signaling (2.0.2-2) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Sep 2025 20:47:25 +0200

nextcloud-spreed-signaling (2.0.2-1) experimental; urgency=medium

  * Team Upload

  [ Mike Gabriel ]
  * New upstream release.
  * New upstream version 2.0.2
  * debian/patches: Add jwt-v500-revert.patch,
    jwt-v500-revert-generated-files.patch, jwt-v451-revert.patch.
    Revert to jwt v4.50 API, as Debian ships a 5.0-to-4.5.0-reverted jwt
    version at the moment.
  * debian/patches: Add cache-control-vendor.patch. Switch from
    github.com/marcw/cachecontrol (dead upstream) to
    github.com/pquerna/cachecontrol/cacheobject.
  * debian/control: Add version to B-D: golang-github-pion-sdp-dev (>= 3.0.10).
  * debian/control: Add to B-D: golang-github-pquerna-cachecontrol-dev.

 -- Pirate Praveen <praveen@debian.org>  Thu, 19 Jun 2025 17:01:23 +0530
