=== debian/control ===
--- 
+++ 
@@ -21,7 +21,8 @@
                golang-github-nats-io-go-nats-dev (>= 1.30.2-2),
                golang-github-notedit-janus-go-dev,
                golang-github-oschwald-maxminddb-golang-dev,
-               golang-github-pion-sdp-dev,
+               golang-github-pion-sdp-dev (>= 3.0.10),
+               golang-github-pquerna-cachecontrol-dev,
                golang-prometheus-client-dev,
                golang-websocket-dev,
                protoc-gen-go-1-5,
