=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 export GOPATH = ${CURDIR}/_build:/usr/share/gocode
 export GO111MODULE := off
 BUILD_DIR := ${CURDIR}/_build/src/github.com/strukturag/nextcloud-spreed-signaling
+
+VERSION := $(shell $(CURDIR)/scripts/get-version.sh)
+export INTERNALLDFLAGS := -ldflags "-X main.version=$(VERSION)"
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
@@ -22,7 +25,7 @@
 	easyjson -all api_proxy.go && \
 	easyjson -all natsclient.go && \
 	easyjson -all room.go
-	dh_auto_build
+	dh_auto_build -- $(INTERNALLDFLAGS)
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
